## org.metaabm.validation
Interface SNDimensionalValidator

    public interface SNDimensionalValidator

A sample validator interface for `SNDimensional`. This doesn't really do anything, and it's not a real EMF artifact. It was generated by the org.eclipse.emf.examples.generator.validator plug-in to illustrate how EMF's code generator can be extended. This can be disabled with -vmargs -Dorg.eclipse.emf.examples.generator.validator=false.

Method Summary
`boolean` `validate()`
`boolean` `validateBorderRule(SBorderRule value)`
`boolean` `validateDimensionality(int value)`

Method Detail

### validate

    boolean validate()

### validateDimensionality

    boolean validateDimensionality(int value)

### validateBorderRule

    boolean validateBorderRule(SBorderRule value)